Fonction M2SCI
Last update : 00/00/0000

Infer - Créé un arbre contenant les données d'inférence

### Calling Sequence

  `infer=Infer(varargin)`

### Parameters

- `varargin`: données d'inference
  - `varargin(1)`: liste des dimensions, la valeur par défaut est list(Unknown,Unknown)
  - `varargin(2)`: type (tlist de type "type", voir la page d'aide de Type), la valeur par défaut est Type(Unknown,Unknown)
  - `varargin(3)`: contenu (tlist de type "contents", voir la page d'aide de Type), la valeur par défaut est Contents(list(),list()). Ce champ est utilisé uniquement si la donnée réprésentée est une Cell ou une Struct.
- `infer`: une tlist de type "infer"

### Description

Cette fonction créé une `tlist` représentant les données d'inférence quand on utilise M2SCI. Tous les paramètres d'entrée sont vérifiés pour être compatible avec les "tlists M2SCI". (Unknown=-1 dans M2SCI)

### See Also

`Funcall`, `Operation`, `Variable`, `Cste`, `Contents`, `Type`, `Equal`,

### Authors

  V.C.